| OpenCV 3.4.8 Open Source Computer Vision

Public Member Functions | List of all members
cv::bgsegm::BackgroundSubtractorMOG Class Referenceabstract
Improved Background-Foreground Segmentation Methods

Gaussian Mixture-based Background/Foreground Segmentation Algorithm. More...

`#include <opencv2/bgsegm.hpp>`

Inheritance diagram for cv::bgsegm::BackgroundSubtractorMOG:

## Public Member Functions
virtual double | getBackgroundRatio () const =0
virtual int | getHistory () const =0
virtual int | getNMixtures () const =0
virtual double | getNoiseSigma () const =0
virtual void | setBackgroundRatio (double backgroundRatio)=0
virtual void | setHistory (int nframes)=0
virtual void | setNMixtures (int nmix)=0
virtual void | setNoiseSigma (double noiseSigma)=0
Public Member Functions inherited from cv::BackgroundSubtractor
virtual void | apply (InputArray image, OutputArray fgmask, double learningRate=-1)=0
| Computes a foreground mask. More...
virtual void | getBackgroundImage (OutputArray backgroundImage) const =0
| Computes a background image. More...
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state. More...
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read. More...
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage. More...
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage. More...
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
| simplified API for language bindings This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...

## Additional Inherited Members
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file. More...
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String. More...
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node. More...
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

Gaussian Mixture-based Background/Foreground Segmentation Algorithm.

The class implements the algorithm described in [101] .

## Member Function Documentation

## § getBackgroundRatio()

virtual double cv::bgsegm::BackgroundSubtractorMOG::getBackgroundRatio | ( |  | ) | const
| pure virtual

Python:
| retval | = | cv.bgsegm_BackgroundSubtractorMOG.getBackgroundRatio( |  | )

## § getHistory()

virtual int cv::bgsegm::BackgroundSubtractorMOG::getHistory | ( |  | ) | const
| pure virtual

Python:
| retval | = | cv.bgsegm_BackgroundSubtractorMOG.getHistory( |  | )

## § getNMixtures()

virtual int cv::bgsegm::BackgroundSubtractorMOG::getNMixtures | ( |  | ) | const
| pure virtual

Python:
| retval | = | cv.bgsegm_BackgroundSubtractorMOG.getNMixtures( |  | )

## § getNoiseSigma()

virtual double cv::bgsegm::BackgroundSubtractorMOG::getNoiseSigma | ( |  | ) | const
| pure virtual

Python:
| retval | = | cv.bgsegm_BackgroundSubtractorMOG.getNoiseSigma( |  | )

## § setBackgroundRatio()

virtual void cv::bgsegm::BackgroundSubtractorMOG::setBackgroundRatio | ( | double | backgroundRatio | ) |
| pure virtual

Python:
| None | = | cv.bgsegm_BackgroundSubtractorMOG.setBackgroundRatio( | backgroundRatio | )

## § setHistory()

virtual void cv::bgsegm::BackgroundSubtractorMOG::setHistory | ( | int | nframes | ) |
| pure virtual

Python:
| None | = | cv.bgsegm_BackgroundSubtractorMOG.setHistory( | nframes | )

## § setNMixtures()

virtual void cv::bgsegm::BackgroundSubtractorMOG::setNMixtures | ( | int | nmix | ) |
| pure virtual

Python:
| None | = | cv.bgsegm_BackgroundSubtractorMOG.setNMixtures( | nmix | )

## § setNoiseSigma()

virtual void cv::bgsegm::BackgroundSubtractorMOG::setNoiseSigma | ( | double | noiseSigma | ) |
| pure virtual

Python:
| None | = | cv.bgsegm_BackgroundSubtractorMOG.setNoiseSigma( | noiseSigma | )

The documentation for this class was generated from the following file:

- opencv2/bgsegm.hpp